### Class

# Phosh IdleDBusObjectProxy

#### Description [src]

    class Phosh.IdleDBusObjectProxy : Gio.DBusObjectProxy
      implements Gio.DBusObject, Phosh.IdleDBusObject {
      /* No available fields */
    }

The `PhoshIdleDBusObjectProxy` structure contains only private data and should only be accessed using the provided API.

#### Ancestors

- GDBusObjectProxy
- GObject

#### Implements

- GDBusObject
- PhoshIdleDBusObject

#### Constructors

###### phosh_idle_dbus_object_proxy_new

Creates a new proxy object.

#### Instance methods

##### Methods inherited from GDBusObjectProxy (1)

###### g_dbus_object_proxy_get_connection

Gets the connection that `proxy` is for.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GDBusObject (3)

###### g_dbus_object_get_interface

Gets the D-Bus interface with name `interface_name` associated with `object`, if any.

###### g_dbus_object_get_interfaces

Gets the D-Bus interfaces associated with `object`.

###### g_dbus_object_get_object_path

Gets the object path for `object`.

##### Methods inherited from PhoshIdleDBusObject (2)

###### phosh_idle_dbus_object_get_idle_monitor

Gets the `PhoshIdleDBusIdleMonitor` instance for the D-Bus interface org.gnome.Mutter.IdleMonitor on `object`, if any.

###### phosh_idle_dbus_object_peek_idle_monitor

Like `phosh_idle_dbus_object_get_idle_monitor()` but doesn’t increase the reference count on the returned object.

#### Properties

##### Properties inherited from GDBusObjectProxy (2)

###### Gio.DBusObjectProxy:g-connection

The connection of the proxy.

###### Gio.DBusObjectProxy:g-object-path

The object path of the proxy.

##### Properties inherited from PhoshIdleDBusObject (1)

###### PhoshIdleDBusObject:idle-monitor

The `PhoshIdleDBusIdleMonitor` instance corresponding to the D-Bus interface org.gnome.Mutter.IdleMonitor, if any.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GDBusObject (2)

###### GDBusObject::interface-added

Emitted when `interface` is added to `object`.

###### GDBusObject::interface-removed

Emitted when `interface` is removed from `object`.

#### Class structure

    struct PhoshIdleDBusObjectProxyClass {
      GDBusObjectProxyClass parent_class;

    }

Class structure for `PhoshIdleDBusObjectProxy`.

###### Class members

`parent_class: GDBusObjectProxyClass`

  The parent class.